iPad App — Update Log

Moku:Lab iPad App version 1.9.4

May 30, 2020


New minimum iOS requirement

The minimum iOS version requirement for the App is now 9.0.

All of our supported iPad models can be updated to iOS 9.

In order to ensure the best experience possible when using our App, we encourage all customers to keep their iPads up to date with the latest iOS version from Apple.


Primary improvements

  • New look for block diagrams in PID Controller, Digital Filter Box, and FIR Filter Builder.
  • Measurements in Oscilloscope and Spectrum Analyzer now include statistics including min/max/mean/stddev.
  • The PID controllers in the Lock-in Amplifier, Laser Lock Box, and PID Controller instruments can now be configured while using the embedded oscilloscope.
  • Maximum logging duration increased to 10,000 hours.
  • Improved support for larger iPad Pro screens.
  • New Italian localization.
  • Minor bug fixes, performance enhancements, and interface improvements.

We want to hear from you! If you have feedback, bug reports or feature requests, please send them to support@liquidinstruments.com